#!/usr/bin/make -f

export DH_VERBOSE = 1

# export DEB_BUILD_OPTIONS = nostrip

export JAVA_HOME = /usr/lib/jvm/default-java
export JAVA_FLAGS = --illegal-access=warn --add-opens java.base/java.lang=ALL-UNNAMED

%:
	dh $@ --buildsystem=cmake

# Remaining options from previous packaging attempt
#override_dh_auto_configure:
#	dh_auto_configure -- \
#		-DQT_QMAKE_EXECUTABLE=qmake \
#		-DCMAKE_BUILD_TYPE=Release \
#		-DCMAKE_INSTALL_PREFIX=/usr/lib/rstudio \
#		-DRSTUDIO_BOOST_SIGNALS_VERSION=2

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
	-DRSTUDIO_TARGET=Server \
	-DCMAKE_BUILD_TYPE=Release \
	-DCMAKE_INSTALL_PREFIX=/usr/lib/rstudio-server \
	-DRSTUDIO_USE_SYSTEM_BOOST=yes \
	-DRSTUDIO_USE_SYSTEM_YAML_CPP=yes \
	-DYAML_CPP_INCLUDE_DIR=/usr/include/yaml-cpp \
	-DYAML_CPP_LIBRARIES=/usr/lib/x86_64-linux-gnu/libyaml-cpp.so \
	-DBoost_NO_BOOST_CMAKE=ON \
	-DRSTUDIO_USE_SYSTEM_SOCI=ON \
	-DQUARTO_ENABLED=no \
	-DRSTUDIO_BOOST_REQUESTED_VERSION=1.74.0 \
	-DRSTUDIO_ELECTRON=no \
	-DRSTUDIO_UNIT_TESTS_DISABLED=true \
	-DSQLITE_LIB=/usr/lib \
	-DPQ_LIB=/usr/lib

